Bug 467553 - Update to Eterm 0.9.5-1 breaks text selection (copy and paste)
Update to Eterm 0.9.5-1 breaks text selection (copy and paste)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: eterm (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Terje Røsten
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-18 09:53 EDT by Tim Becker
Modified: 2008-11-22 11:52 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-12 22:36:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Becker 2008-10-18 09:53:28 EDT
Description of problem:
After updating to Eterm 0.9.5-1 text selection is no longer possible.  Upon releasing the mouse button after a text selection the selection disappears and text is not copied.  Eterm 0.9.4-10 works fine.

Version-Release number of selected component (if applicable):
0.9.5-1

How reproducible:
Every time.

Steps to Reproduce:
1.Open an Eterm and select text to copy
2.
3.
  
Actual results:
Text is not highlighted or copied

Expected results:
Text should remain highlighted and copied

Additional info:
Comment 1 Terje Røsten 2008-10-18 14:27:13 EDT
Strange, I not able not reproduce this on 4-5 different systems.

I need more info about your enviroment, are you using GNOME, e16, e or KDE or something different?

X server? ati, nvidia, intel or? locale info would be nice too.
Your system is updated with latest updates?

Does xterm, aterm, rxvt or similar work?

Can you try to reset Eterm to default config (rename .Eterm to
.Eterm.bug-hunting)
Comment 2 Tim Becker 2008-10-18 14:47:08 EDT
My system is updated with the latest updates as of 10/18/09

I am using KDE 4.1 

X server is Intel (945GM)

Xterm works as expected, aterm, rxvt not installed.  konsole works as expected.

Renamed .Eterm to .Eterm-bug  with no effect.
Comment 3 Terje Røsten 2008-11-01 14:17:10 EDT
Thanks for the report Tim. 

I have noe confirmed the following on FC10:

      GNOME    KDE
0.9.4   ok     ok
0.9.5   ok   broken

Will ping upstream about the bug.
Comment 4 Terje Røsten 2008-11-10 10:57:23 EST
Ok, seems like a patch to fix such problem actually broke it.

Please try the package found here:

  http://terjeros.fedorapeople.org/eterm/
Comment 5 Tim Becker 2008-11-10 13:57:40 EST
The eterm package at http://terjeros.fedorapeople.org/eterm/ resolve the issue for me.


Thanks!!!!!
Comment 6 Fedora Update System 2008-11-11 13:16:04 EST
eterm-0.9.5-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/eterm-0.9.5-2.fc9
Comment 7 Fedora Update System 2008-11-11 13:16:07 EST
eterm-0.9.5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/eterm-0.9.5-2.fc10
Comment 8 Fedora Update System 2008-11-11 13:16:09 EST
eterm-0.9.5-2.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/eterm-0.9.5-2.fc8
Comment 9 Fedora Update System 2008-11-12 22:36:01 EST
eterm-0.9.5-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-11-12 22:37:13 EST
eterm-0.9.5-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2008-11-22 11:52:08 EST
eterm-0.9.5-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.